T=/usr/bin/tmux
S=default

${T} has-session -t ${S} 2>/dev/null

if [[ ${?} -eq 0 ]]; then
	${T} a -t ${S}
else
	${T} new -d -s ${S}
	${T} rename-window  -t ${S}:1 'Nvim'
	${T} send-keys  -t ${S}:'Nvim' 'nvim' C-m
	
	${T} new-window -t ${S}:2 -n 'Chat'
	${T} send-keys  -t ${S}:'Chat' 'profanity' C-m

	${T} new-window -t ${S}:3

	${T} new-window -t ${S}:8 -n Mail
	${T} send-keys  -t ${S}:'Mail' "ssh inb -t '${T} a -t0'" C-m

	${T} new-window -t ${S}:9 -n Music

	${T} select-window -t ${S}:3

	${T} a -t ${S}
fi
